API Explorer

Try KuberCoin node REST and JSON-RPC endpoints interactively. Responses are proxied through the PHP backend.

REST API

GET /api/health Node health check (public)
GET /api/info Chain info & node status
GET /api/block/{hash} Block by hash
GET /api/block-by-height/{height} Block by height
GET /api/tx/{txid} Transaction details
GET /api/tx/{txid}/proof Merkle proof for tx
GET /api/balance/{address} Address balance
GET /api/address/{address}/txs Address transactions
GET /api/address/{address}/utxos Address UTXOs
GET /api/mempool Mempool overview
GET /api/peers Connected peers
GET /metrics Prometheus metrics

JSON-RPC

RPC getblockcount Current block height
RPC getbestblockhash Best block hash
RPC getmininginfo Mining information
RPC getpeerinfo Peer information
RPC getconnectioncount Number of connections
RPC getnetworkinfo Network information
RPC getnewaddress Generate new address
RPC getbalance Wallet balance

Code Snippets

Select an endpoint and language to generate ready-to-use code.